%global momorel 1
%global md5sum_src0 ffa6d1f4e28ca493a43f9dc17882c4d8

Summary: get a file from a FTP, GOPHER or HTTP server.
Name: curl
Version: 7.16.4
Release: %{momorel}m%{?dist}
License: MIT/X
Group: Applications/Communications
URL: http://curl.haxx.se/
%NoSource 0 http://curl.haxx.se/download/curl-%{version}.tar.bz2 %{md5sum_src0}
Patch0: curl-7.14.1-nousr.patch
Patch1: curl-7.15.0-curl_config-version.patch
Patch2: curl-7.15.3-multilib.patch
Patch3: curl-7.16.0-privlibs.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: openssl
BuildPreReq: openssl-devel >= 0.9.8a, libidn-devel
BuildRequires: momonga-rpmmacros >= 20040310-6m

%description
curl is a client to get documents/files from servers, using
any of the supported protocols. The command is designed to
work without user interaction or any kind of interactivity.
curl offers a busload of useful tricks like proxy support,
user authentication, ftp upload, HTTP post, file transfer
resume and more.

%package devel
Summary: The includes, libs, and man pages to develop with libcurl
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
libcurl is the core engine of curl; this packages contains
all the libs, headers, and manual pages to develop applications
using libcurl.

%prep
%setup -q
%patch0 -p1 -b .nousr
%patch1 -p1 -b .ver
%patch2 -p1 -b .multilib
%patch3 -p1 -b .privlibs

%build
aclocal
libtoolize --force
./reconf

if pkg-config openssl ; then
	CPPFLAGS=`pkg-config --cflags openssl`; export CPPFLAGS
	LDFLAGSth=`pkg-config --libs openssl`; export LDFLAGS
fi

%configure \
 --with-ssl=/usr \
 --with-ca-bundle=%{_sysconfdir}/pki/tls/certs/ca-bundle.crt \
 --with-gssapi=/usr/kerberos --with-libidn \
%if %{_ipv6}
    --enable-ipv6
%else
    --disable-ipv6
%endif

make %{?_smp_mflags} || make

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%makeinstall
rm -f %{buildroot}%{_libdir}/libcurl.la

# don't need curl's copy of the certs; use openssl's
find %{buildroot} -name ca-bundle.crt -exec rm -f '{}' \;

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGES README* COPYING
%doc docs/BUGS docs/FAQ docs/FEATURES
%doc docs/MANUAL docs/RESOURCES
%doc docs/TheArtOfHttpScripting docs/TODO
%attr(0755,root,root) %{_bindir}/curl
%attr(0644,root,root) %{_mandir}/man1/curl.1*
%{_libdir}/libcurl.so.*


%files devel
%defattr(-,root,root)
%doc docs/examples docs/INTERNALS
%attr(0755,root,root) %{_bindir}/curl-config
%attr(0644,root,root) %{_mandir}/man1/curl-config.1*
%attr(0644,root,root) %{_mandir}/man3/*
%{_includedir}/curl
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libcurl.so
%{_libdir}/libcurl.a

%changelog
* Sat Jul 21 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (7.16.4-1m)
- [SECURITY] CVE-2007-3564
- update to 7.16.4

* Mon Jul  9 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (7.16.3-1m)
- update to 7.16.3

* Wed Jun  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (7.16.2-1m)
- update to 7.16.2 (sync with FC-devel)

* Sat Nov 11 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (7.16.0-1m)
- update to 7.16.0
- sync with Fedora Core (curl-7.16.0-2.src.rpm)
-
- * Tue Oct 31 2006 Jindrich Novy <jnovy@redhat.com> - 7.16.0-2
- - fix BuildRoot
- - add Requires: pkgconfig for curl-devel
- - move LDFLAGS and LIBS to Libs.private in libcurl.pc.in (#213278)
- * Mon Mar 20 2006 Ivana Varekova <varekova@redhat.com> - 7.15.3-1
- - fix multilib problem using pkg-config
- - update to 7.15.3
- * Wed Nov 30 2005 Ivana Varekova <varekova@redhat.com> 7.15.0-3
- - fix curl-config bug 174556 - missing vernum value

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (7.15.3-2m)
- rebuild against openssl-0.9.8a

* Mon Mar 20 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (7.15.3-1m)
- update to 7.15.3
- [SECURITY] CVE-2006-1061
- http://curl.haxx.se/docs/adv_20060320.html

* Sat Mar 18 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (7.15.2-1m)
- update to 7.15.2
- [SECURITY] CVE-2005-4077
- http://curl.haxx.se/docs/adv_20051207.html

* Sat Mar 19 2005 TAKAHASHI Tamotsu <tamo>
- (7.13.1-1m)
- [SECURITY] NTLM/krb4 buffer overflow (CAN-2005-0490)

* Sun Feb 27 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (7.13.0-1m)
- update to 7.13.0
- update Patch0: curl-7.13.0-libdir.patch

* Mon Feb  7 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (7.12.2-2m)
- enable x86_64.

* Sun Oct 31 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (7.12.2-1m)
- update to 7.12.2

* Fri Jul  9 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (7.10.5-4m)
- add BuildRequires: momonga-rpmmacros >= 20040310-6m

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (7.10.5-3m)
- revised spec for enabling rpm 4.2.

* Fri Oct 03 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (7.10.5-2m)
- change License: to MIT/X

* Tue Jul  8 2003 Kazuhiko <kazuhiko@fdiary.net>
- (7.10.5-1m)
- minor bugfixes

* Thu Mar  6 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (7.10.2-3m)
  rebuild against openssl 0.9.7a

* Fri Jan 10 2003 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (7.10.2-2m)
- Fix License and doc files 

* Fri Jan 10 2003 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (7.10.2-1m)
- update to 7.10.2

* Thu Aug 1 2002 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (7.9.8-1m)
- update to 7.9.8

* Mon May 20 2002 Masaru Sato <masachan@kondara.org>
- (7.9.7-2k)
- update to 7.9.7

* Sun Apr 28 2002 TABUCHI Takaaki <tab@kondara.org>
- (7.9.6-2k)
- update to 7.9.6

* Wed Mar 13 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (7.9.5-2k)
- update to 7.9.5

* Tue Dec 25 2001 Masaru Sato <masachan@kondara.org>
- (7.9.2-2k)
- up to 7.9.2

* Sat Dec  1 2001 Toru Hoshina <t@kondara.org>
- (7.9-8k)
- No docs could be excutable :-p

* Tue Nov 27 2001 Motonobu Ichimura <famao@kondara.org>
- (7.9-6k)
- bug fixed

* Mon Oct  8 2001 Masaru Sato <masachan@kondara.org>
- (7.9-2k)
- Initial Release from curl offical rpm.

